IBM solidDB < 7.0 Fix Pack 1 / 6.5.0.8 Interim Fix 5 Denial of Service

This script is Copyright (C) 2012-2014 Tenable Network Security, Inc.


Synopsis :

The remote database server is affected by a denial of service
vulnerability.

Description :

According to its version number, the solidDB install on the remote
host is affected by a denial of service vulnerability due to a flaw in
the way the application handles 'SELECT' statements containing a
'rownum' condition with a subquery.

A remote, unauthenticated attacker can leverage this issue to cause
the application to crash.

See also :

http://www-01.ibm.com/support/docview.wss?uid=swg1IC79861
http://www-01.ibm.com/support/docview.wss?uid=swg27021052#if5
http://xforce.iss.net/xforce/xfdb/72651

Solution :

Upgrade to IBM solidDB 7.0 Fix Pack 1 / 6.5.0.8 Interim Fix 5 or
later.

Risk factor :

High / CVSS Base Score : 7.8
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C)
CVSS Temporal Score : 5.8
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Databases

Nessus Plugin ID: 57824 ()

Bugtraq ID: 51629

CVE ID: CVE-2011-4890